Skip to content

Creates a new geofence​

PUT
/users/{userid}/geofences

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

userid*

User ID

Type
integer
Required

Request Body​

application/json
JSON
{
  
"center": {
  
  
"lat": 0,
  
  
"lng": 0
  
},
  
"foreignId": "string",
  
"listId": 0,
  
"meta": {
  
  
"additionalProperties": null
  
},
  
"name": "string",
  
"outline": [
  
  
{
  
  
  
"lat": 0,
  
  
  
"lng": 0
  
  
}
  
],
  
"radius": 0,
  
"type": "string"
}

Request example

Responses​

Created

application/json
JSON
{
  
"center": {
  
  
"lat": 0,
  
  
"lng": 0
  
},
  
"deviceId": 0,
  
"foreignId": "string",
  
"id": 0,
  
"list": {
  
  
"color": "string",
  
  
"id": 0,
  
  
"name": "string",
  
  
"ownerId": 0
  
},
  
"listId": 0,
  
"meta": {
  
  
"additionalProperties": null
  
},
  
"modified": true,
  
"name": "string",
  
"outline": [
  
  
{
  
  
  
"lat": 0,
  
  
  
"lng": 0
  
  
}
  
],
  
"ownerId": 0,
  
"radius": 0,
  
"type": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body